[Debian-live-changes] r1449 - in dists/trunk/live-initramfs: docs hooks

Daniel Baumann daniel at alioth.debian.org
Fri May 11 09:46:44 UTC 2007


Author: daniel
Date: 2007-05-11 09:46:44 +0000 (Fri, 11 May 2007)
New Revision: 1449

Modified:
   dists/trunk/live-initramfs/docs/ChangeLog
   dists/trunk/live-initramfs/hooks/live
Log:


Modified: dists/trunk/live-initramfs/docs/ChangeLog
===================================================================
--- dists/trunk/live-initramfs/docs/ChangeLog	2007-05-11 08:14:40 UTC (rev 1448)
+++ dists/trunk/live-initramfs/docs/ChangeLog	2007-05-11 09:46:44 UTC (rev 1449)
@@ -1,3 +1,8 @@
+2007-05-11  Daniel Baumann  <daniel at debian.org>
+
+	* hooks/live:
+	  - Reformated.
+
 2007-05-09  Daniel Baumann  <daniel at debian.org>
 
 	* manpages/*:

Modified: dists/trunk/live-initramfs/hooks/live
===================================================================
--- dists/trunk/live-initramfs/hooks/live	2007-05-11 08:14:40 UTC (rev 1448)
+++ dists/trunk/live-initramfs/hooks/live	2007-05-11 09:46:44 UTC (rev 1449)
@@ -1,87 +1,114 @@
-#!/bin/sh -e
-# initramfs hook for casper
+#!/bin/sh
 
-PREREQS=""
+# initramfs hook for live-initramfs (Debian Live)
 
-# Output pre-requisites
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
 prereqs()
 {
-       echo "$PREREQ"
+	echo "${PREREQ}"
 }
 
-case "$1" in
-    prereqs)
-       prereqs
-       exit 0
-       ;;
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
 esac
 
 . /usr/share/initramfs-tools/hook-functions
 
-if [ -e /etc/live.conf ]; then
-    . /etc/live.conf
-    mkdir -p ${DESTDIR}/etc
-    cp /etc/live.conf ${DESTDIR}/etc
-fi
+# live-initramfs hook
 
-manual_add_modules unionfs
+# Handling live-initramfs
 
-# We need losetup
-copy_exec /sbin/losetup /sbin
+# Configuration
+if [ -f /etc/live.conf ]
+then
+	. /etc/live.conf
 
-# Casper hooks
-mkdir -p ${DESTDIR}/lib/live-initramfs
+	mkdir -p "${DESTDIR}"/etc
+	cp /etc/live.conf "${DESTDIR}"/etc
+fi
+
+# Executables
+mkdir -p "${DESTDIR}"/lib/live-initramfs
+copy_exec /usr/lib/live-initramfs/live-md5check /bin
 copy_exec /usr/share/live-initramfs/live-reconfigure /bin
 copy_exec /usr/share/live-initramfs/live-preseed /bin
 
-if [ "${BUILD_SYSTEM}" = "Ubuntu" ]; then
-    mkdir -p ${DESTDIR}/lib/udev
-    copy_exec /lib/udev/cdrom_id /lib/udev
-    copy_exec /lib/udev/vol_id /lib/udev
-    copy_exec /lib/udev/path_id /lib/udev
+# Scripts
+cp /usr/share/initramfs-tools/scripts/live-functions "${DESTDIR}"/scripts
+cp /usr/share/initramfs-tools/scripts/live-helpers "${DESTDIR}"/scripts
+
+# Handling binaries
+
+# losetup
+copy_exec /sbin/losetup /sbin
+
+# mount.cifs
+if [ -x /sbin/mount.cifs ]
+then
+	copy_exec /sbin/mount.cifs /sbin
 fi
 
-copy_exec /usr/bin/udevinfo /bin
+# eject
+copy_exec /usr/bin/eject /bin
+
+# udev
+if [ "${BUILD_SYSTEM}" = "Ubuntu" ]
+then
+	mkdir -p "${DESTDIR}"/lib/udev
+
+	copy_exec /lib/udev/cdrom_id /lib/udev
+	copy_exec /lib/udev/path_id /lib/udev
+	copy_exec /lib/udev/vol_id /lib/udev
+fi
+
 #copy_exec /sbin/udevtrigger /sbin
 #copy_exec /sbin/udevsettle /sbin
-copy_exec /usr/bin/eject /bin
+copy_exec /usr/bin/udevinfo /bin
 
-# cifs boot
-if [ -x /sbin/mount.cifs ]; then
-    copy_exec /sbin/mount.cifs /sbin
-    for x in cifs; do
-        manual_add_modules ${x}
-    done
+# Handling kernel modules
+
+# Filesystem: cifs
+if [ -x /sbin/mount.cifs ]
+then
+        manual_add_modules cifs
 fi
 
-# squashfs
+# Filesystem: ext3
+manual_add_modules ext3
+
+# Filesystem: squashfs
+manual_add_modules loop
 manual_add_modules squashfs
-manual_add_modules loop
 
-# random file system modules
-manual_add_modules vfat
-manual_add_modules ext3
-# needed for vfat. :-/
+# Filesystem: unionfs
+manual_add_modules unionfs
+
+# Filesystem: vfat
 manual_add_modules nls_cp437
+manual_add_modules nls_iso8859-1
 manual_add_modules nls_utf8
-manual_add_modules nls_iso8859-1
+manual_add_modules vfat
 
-# cdrom modules
-manual_add_modules sr_mod
+# Hardware: cdrom
 manual_add_modules ide-cd
+manual_add_modules ohci1394
 manual_add_modules sbp2
-manual_add_modules ohci1394
+manual_add_modules sr_mod
 
-# integrity check
-copy_exec /usr/lib/live-initramfs/live-md5check /bin
+# Hardware: network
+auto_add_modules net
 
-# allow to load custom keymap for using encryption
-if [ -x /bin/loadkeys ] && [ -r /etc/console/boottime.kmap.gz ]; then
-    copy_exec /bin/loadkeys /bin
-    cp /etc/console/boottime.kmap.gz $DESTDIR/etc/
+# Custom keymap (usefull when using encryption)
+if [ -x /bin/loadkeys ] && [ -f /etc/console/boottime.kmap.gz ]
+then
+	copy_exec /bin/loadkeys /bin
+	cp /etc/console/boottime.kmap.gz "${DESTDIR}"/etc
 fi
-
-cp /usr/share/initramfs-tools/scripts/live-functions $DESTDIR/scripts
-cp /usr/share/initramfs-tools/scripts/live-helpers $DESTDIR/scripts
-
-auto_add_modules net




More information about the Debian-live-changes mailing list